%define upstream_name    Filesys-Notify-Simple
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Simple and dumb file system watcher
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Filesys/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::SharedFork)
BuildArch:  noarch

%{?perl_default_filter}

%description
Filesys::Notify::Simple is a simple but unified interface to get
notifications of changes to a given filesystem path. It utilizes inotify2
on Linux and fsevents on OS X if they're installed, with a fallback to the
full directory scan if they're not available.

There are some limitations in this module. If you don't like it, use the
File::ChangeNotify manpage.

* *

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 19 2020 umeabot <umeabot> 0.140.0-2.mga8
+ Revision: 1542546
- Mageia 8 Mass Rebuild

* Sun Jan 05 2020 tv <tv> 0.140.0-1.mga8
+ Revision: 1476600
- update to 0.14
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.130.0-2.mga7
+ Revision: 1283899
- Mageia 7 Mass Rebuild

* Thu Mar 08 2018 tv <tv> 0.130.0-1.mga7
+ Revision: 1207443
- update to 0.13

* Sun Jun 19 2016 pterjan <pterjan> 0.120.0-8.mga6
+ Revision: 1027616
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.120.0-7.mga6
+ Revision: 949725
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.120.0-6.mga5
+ Revision: 790388
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-5.mga5
+ Revision: 742751
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.120.0-4.mga5
+ Revision: 732151
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-3.mga5
+ Revision: 684790
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.120.0-2.mga4
+ Revision: 528707
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 0.120.0-1.mga4
+ Revision: 446957
- update to 0.12

* Fri Jun 07 2013 jquelin <jquelin> 0.100.0-1.mga4
+ Revision: 439290
- update to 0.10

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 367465
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 13 2011 jquelin <jquelin> 0.80.0-1.mga2
+ Revision: 154305
- update to 0.08

* Mon Jun 20 2011 jquelin <jquelin> 0.70.0-1.mga2
+ Revision: 110597
- imported package perl-Filesys-Notify-Simple


* Mon Jun 20 2011 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
